import java.lang.reflect.Field;

public class TestCases1 {

    public boolean test1() throws Throwable {
        Field xCuadradoField = this.getDeclaredField(Cuadrado.class, "x");
        Field xRectanguloField = this.getDeclaredField(Rectangulo.class, "x");
        if (xCuadradoField != null || xRectanguloField != null)
        	return false;
        Field xFiguraField = this.getDeclaredField(Figura.class, "x");
        if (xFiguraField == null)
        	return false;

        Cuadrado cuadrado1 = new Cuadrado(71, 72, 73);
        Object xValue1 = this.getDeclaredFieldValue(Figura.class, cuadrado1, "x");
        Object yValue1 = this.getDeclaredFieldValue(Figura.class, cuadrado1, "y");
        if (!(xValue1 != null && xValue1 instanceof Double && (double) xValue1 == 71))
        	return false;
        if (!(yValue1 != null && yValue1 instanceof Double && (double) yValue1 == 72))
        	return false;
        Cuadrado cuadrado2 = new Cuadrado(61, 62, 63);
        Object xValue2 = this.getDeclaredFieldValue(Figura.class, cuadrado2, "x");
        Object yValue2 = this.getDeclaredFieldValue(Figura.class, cuadrado2, "y");
        if (!(xValue2 != null && xValue2 instanceof Double && (double) xValue2 == 61))
        	return false;
        if (!(yValue2 != null && yValue2 instanceof Double && (double) yValue2 == 62))
        	return false;
        return true;
    }

    private Field getDeclaredField(Class<?> clazz, String fieldName) throws SecurityException {
    	try {
    		return clazz.getDeclaredField(fieldName);
    	}
    	catch (NoSuchFieldException e) {
    		return null;
    	}
    }
    private Object getDeclaredFieldValue(Class<?> clazz, Object obj, String fieldName) throws NoSuchFieldException, SecurityException, IllegalArgumentException, IllegalAccessException {
    	Field field = this.getDeclaredField(clazz, fieldName);

    	field.setAccessible(true);

    	return field.get(obj);
    }
}